Bug 614845 - Alert notifications configuration is not working in IE-6/7
Summary: Alert notifications configuration is not working in IE-6/7
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI   
(Show other bugs)
Version: 3.0.0
Hardware: All
OS: Linux
urgent
urgent vote
Target Milestone: ---
: ---
Assignee: Joseph Marques
QA Contact: Sudhir D
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon24-alert-notify
TreeView+ depends on / blocked
 
Reported: 2010-07-15 11:51 UTC by Rajan Timaniya
Modified: 2010-08-12 16:53 UTC (History)
3 users (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 16:53:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (47.83 KB, image/jpeg)
2010-07-15 11:51 UTC, Rajan Timaniya
no flags Details

Description Rajan Timaniya 2010-07-15 11:51:53 UTC
Created attachment 432052 [details]
screenshot

Description of problem:
Alert notifications configuration is not working in IE-6/7.

Version-Release number of selected component (if applicable):
version: 2.4.0.GA_QA
build number: 10824:7279183

How reproducible:
Always

Steps to Reproduce:
1) Log-in to JON
2) Create alert and add alert notifications like 'Direct Emails', 'System Users', 'Resource Operation' ..
 If Condition:  	 Free Memory > 0.1B
 Dampening Rule: 	Each time condition set is true
 Action Filters: 	Disable alert until re-enabled manually or by recovery 
 alert : false   
3) Click for alert configuration to input email, user, etc. 
  
Actual results:
Alert notifications configuration input box is not showing in IE-6/7.

Expected results:
Alert notifications configuration input box should be shown in IE-6/7.

Additional info:
Please refer attached screenshot.

Comment 1 Joseph Marques 2010-07-16 06:24:05 UTC
nor is this working on IE8.  investigating...

Comment 2 Joseph Marques 2010-07-16 07:05:26 UTC
turns out the notification id was being "lost" when the page was refreshed to display the standard or custom configuration screen for the notification type in question.

this likely has to do with how browser events are propagated in ie, whether they bubble up from the origin element or are captured down from the root element, and the presumption that richfaces does not automatically provide a mechanism to unify this propagation and create consistent handling across browsers.

Comment 3 Joseph Marques 2010-07-16 07:06:20 UTC
BZ-614845: ensure that the form is submitted after the ajax-selection completes

Comment 4 Sudhir D 2010-07-16 08:06:34 UTC
Tested this on IE8 for jon-server-2.4.0.GA_QA.zip build# 65. 

The Alert Notification page is failing to select any of the alert notification once added by clicking on Add New button.

At present I can only add new but cannot update anything as the page gets refreshed and nothing can be selected. 

Moving it back to ON_DEV.

Comment 5 Joseph Marques 2010-07-16 13:29:40 UTC
Sudhir, take note of the timestamp for my comment (3am EDT).  I only pushed the fix for this an hour before you tested it (4am EDT).  so the JON build you tested it against wouldn't have had the fix yet.  moving back to ON_QA.

Comment 6 Sudhir D 2010-07-19 09:36:46 UTC
Tested on IE6 and IE8 and it is working.

However, Pick button for Specific Resource is not working on both IE6/8, which is working on Firefox. I shall raise a seperate bug on this. 

Marking this bug as verified.

Comment 7 Corey Welton 2010-07-22 15:41:34 UTC
Per comment #6, please see bug #617257

Comment 8 Corey Welton 2010-08-12 16:53:37 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.